Index: EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb	(revision 299)
+++ EcnlProtoTool/trunk/asp3_dcre/tecsgen/tecslib/core/generate.rb	(revision 321)
@@ -1923,5 +1883,5 @@
         end
 
-        #                      ãã¼ãå         é¢æ°å         ãã©ã¡ã¼ã¿å
+        #                      ポート名         関数名         パラメータ名
         dealloc_func_name = "#{port.get_name}_#{fd.get_name}_#{par.get_name}_dealloc"
         dealloc_macro_name = dealloc_func_name.upcase
@@ -1962,5 +1922,5 @@
     @port.each { |p|
       next if p.get_port_type != :CALL
-      # next if p.is_omit?  å¼ã³åºãã¨ã¨ã©ã¼ãèµ·ããã³ã¼ããçæ
+      # next if p.is_omit?  呼び出すとエラーを起こすコードを生成
 
       p.get_signature.get_function_head_array.each{ |fun|
@@ -2067,5 +2027,5 @@
         f.print( "struct tag_#{@global_name}_CB *" )
       elsif has_INIB? then
-        # f.print( "struct tag_#{@global_name}_INIB *" )  # const ãåºåãã¦ããªã
+        # f.print( "struct tag_#{@global_name}_INIB *" )  # const を出力していない
         f.print( "const struct tag_#{@global_name}_INIB *" )
       else
@@ -2103,5 +2063,5 @@
 
         if p.get_array_size then
-          f.print( "#{delim} int_t subscript" )     # mikan singleton æã® ',' ã®å§æ«
+          f.print( "#{delim} int_t subscript" )     # mikan singleton 時の ',' の始末
           delim = ","
         end
@@ -2111,5 +2071,5 @@
           len = items.length
         else
-          # ããã§ nil ã«ãªãã®ã¯ãå¼æ°ãªãã®æã« void ããªãã£ãå ´å
+          # ここで nil になるのは、引数なしの時に void がなかった場合
           items = []
           len = 0
@@ -2132,5 +2092,5 @@
 
   def gen_ph_ep_skel_prototype f
-    # åãå£ã¹ã±ã«ãã³é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨ãåºå
+    # 受け口スケルトン関数のプロトタイプ宣言を出力
     if @n_entry_port >0 then
       f.printf( TECSMsg.get( :EPSP_comment ), "#_EPSP_#" )
@@ -2139,6 +2099,6 @@
       next if p.get_port_type != :ENTRY
       next if p.is_omit?
-#      if p.is_skelton_useless? || ! p.is_VMT_useless? then    # åãå£æé©å
-      if p.is_skelton_useless? then    # åãå£æé©å
+#      if p.is_skelton_useless? || ! p.is_VMT_useless? then    # 受け口最適化
+      if p.is_skelton_useless? then    # 受け口最適化
 #        f.print( "/* #{p.get_name} : omitted by entry port optimize */\n" )
         next
@@ -2159,5 +2119,5 @@
           len = items.length
         else
-          # ããã§ nil ã«ãªãã®ã¯ãå¼æ°ãªãã®æã« void ããªãã£ãå ´å
+          # ここで nil になるのは、引数なしの時に void がなかった場合
           items = []
           len = 0
@@ -2182,5 +2142,5 @@
 
     if ( $rom )then
-      # å®æ°é¨ã¯ ROM, å¤æ°é¨ã¯ RAM
+      # 定数部は ROM, 変数部は RAM
 
       if has_INIB? then
@@ -2215,6 +2175,5 @@
 
     else
-      # å
-¨ã¦ RAM
+      # 全て RAM
       f.printf( TECSMsg.get( :CCTPO_comment ), "#_CCTPO_#" )
 
@@ -2230,6 +2189,6 @@
 
 
-  #===   attribute ã®åå®£è¨åºå
-  #inib_cb::  :INIB ã¾ãã¯ :CB
+  #===   attribute の型宣言出力
+  #inib_cb::  :INIB または :CB
   def gen_cell_cb_type_attribute( f, inib_cb )
     if inib_cb == :INIB && @n_attribute_ro > 0 then
@@ -2264,5 +2223,5 @@
       next if v.is_omit?
       next if v.get_size_is == nil
-      next if $rom && inib_cb == :CB      # size_is æå®ããããã®ã¯ INIB ã«ã®ã¿åºåãã
+      next if $rom && inib_cb == :CB      # size_is 指定されたものは INIB にのみ出力する
 
       f.print "    "
@@ -2273,5 +2232,5 @@
 
   def gen_cell_cb_type_var f
-    # å¤æ°ã®åºå
+    # 変数の出力
     if @n_var > 0 then
       f.print "    /* var #_VA_# */ \n"
@@ -2281,5 +2240,5 @@
 
       next if v.is_omit?
-      next if v.get_size_is != nil    # size_is æå®ããã var ã¯ attribute ã¸åºåãã
+      next if v.get_size_is != nil    # size_is 指定された var は attribute へ出力する
 
       f.print "    "
@@ -2295,5 +2254,5 @@
 
   def gen_cell_cb_type_call_port f
-    # å¼ã³å£
+    # 呼び口
     if @n_call_port >0 then
       f.print "    /* call port #_TCP_# */ \n"
@@ -2308,5 +2267,5 @@
       if ! p.is_cell_unique? then
         if ! p.is_skelton_useless? then
-          # æ¨æºå½¢
+          # 標準形
           f.print( "    struct tag_#{p.get_signature.get_global_name}_VDES #{ptr}const*#{p.get_name;};\n" )
           if p.get_array_size == "[]" then
@@ -2314,13 +2273,11 @@
           end
         else
-          # æé©å skelton é¢æ°ãå¼åºããªã(åãå£é¢æ°ãç´æ¥å¼åºã)
-          # å¼ã³å
-ã»ã«ã¿ã¤ãã® CB ã® IDX å
+          # 最適化 skelton 関数を呼出さない(受け口関数を直接呼出す)
+          # 呼び先セルタイプの CB の IDX 型
           if p.get_real_callee_cell then
             f.print( "    " )
             p.get_real_callee_cell.get_celltype.gen_ph_idx_type f
             f.print( " #{ptr}#{p.get_name;};\n" )
-            # ç¸äºåç
-§ã«åãã¦ãtypedef ããåãä½¿ããªã
+            # 相互参照に備えて、typedef した型を使わない
             # f.print( "    #{p.get_real_callee_cell.get_celltype.get_global_name}_IDX #{ptr}#{p.get_name;};\n" )
             if p.get_array_size == "[]" then
@@ -2328,17 +2285,16 @@
             end
           #else
-          #  optional ã§æªçµå
+          #  optional で未結合
           end
         end
       # else
-        # æé©å ä¸ã¤ããã»ã«ããªãå ´åãåãå£ãã£ã¹ã¯ãªãã¿ã¾ãã¯åãå´ã® IDX ã¯å¼ã³å£é¢æ°ãã¯ã­ã«åãè¾¼ã¾ãã
-      end
-    }
-  end
-
-  #=== Celltype#åãå£é
-åæ·»æ°ãè¨æ¶ããå¤æ°ã®å®ç¾©
+        # 最適化 一つしかセルがない場合、受け口ディスクリプタまたは受け側の IDX は呼び口関数マクロに埋め込まれる
+      end
+    }
+  end
+
+  #=== Celltype#受け口配列添数を記憶する変数の定義
   def gen_cell_cb_type_entry_port f
-    # å¼ã³å£
+    # 呼び口
     if @n_entry_port >0 then
       f.print "    /* call port #_NEP_# */ \n"
@@ -2346,6 +2302,5 @@
 
     @port.each{ |p|
-      # next if p.is_omit?                       # åãå£é
-åã®åæ°ã¯çç¥ããªã
+      # next if p.is_omit?                       # 受け口配列の個数は省略しない
       if p.get_port_type == :ENTRY && p.get_array_size == "[]"
         f.print( "    int_t n_#{p.get_name};\n" )
@@ -2389,6 +2344,6 @@
   end
 
-  #===  ã¤ãã¬ã¼ã¿ã³ã¼ã (FOREACH_CELL)ã®çæ
-  #      singleton ã§ã¯åºåããªã
+  #===  イテレータコード (FOREACH_CELL)の生成
+  #      singleton では出力しない
   def gen_ph_foreach_cell f
 
@@ -2431,5 +2386,5 @@
 
 
-  #===  å¤æ°varåæåã³ã¼ã
+  #===  変数var初期化コード
   #
   def gen_ph_cb_initialize_macro f
@@ -2442,7 +2397,7 @@
         type = v.get_type
         if( type.kind_of? PtrType )then
-          # PtrType ã¯ ArrayType ã«ããæ¿ãã
-
-          # åæåå­ã®è¦ç´ æ°ã¨ãã (å¾ã¯ 0 ã§ãã)
+          # PtrType は ArrayType にすり替える
+
+          # 初期化子の要素数とする (後は 0 である)
           t2 = ArrayType.new( Expression.create_integer_constant( init.length, nil ) )
           t2.set_type( type.get_type )
@@ -2512,5 +2467,5 @@
 
     # else
-    #   ã»ã«ãä¸ã¤ããªããã°åºåããªã
+    #   セルが一つもなければ出力しない
     end
 
@@ -2519,5 +2474,5 @@
 
   def gen_ph_inline f
-    # inline ãã¼ããä¸ã¤ã§ãããã°ãinline.h ã® include
+    # inline ポートが一つでもあれば、inline.h の include
     if @n_entry_port_inline > 0 then
       f.printf( TECSMsg.get( :INL_comment ), "#_INL_#" )
@@ -2571,5 +2526,5 @@
       next if p.get_port_type != :ENTRY
       next if p.is_omit?
-      if p.is_skelton_useless?    # åãå£æé©å
+      if p.is_skelton_useless?    # 受け口最適化
         f.print( "/* #{p.get_name} : omitted by entry port optimize */\n\n" )
         next
@@ -2582,5 +2537,5 @@
         f.print( "    #{@name}_IDX  idx;\n" )
       else
-        # CB ã INIB ãå­å¨ããªã (ã®ã§ãidx ã¨ãã¦æ´æ°ã§åæåãã¦ãã)
+        # CB も INIB も存在しない (ので、idx として整数で初期化しておく)
         f.print( "    int           idx;\n" )
       end
@@ -2600,5 +2555,5 @@
       next if p.get_port_type != :ENTRY
       next if p.is_omit?
-      if p.is_skelton_useless? then    # åãå£æé©å
+      if p.is_skelton_useless? then    # 受け口最適化
         f.print( "/* #{p.get_name} : omitted by entry port optimize */\n" )
         next
@@ -2619,5 +2574,5 @@
           len = items.length
         else
-          # ããã§ nil ã«ãªãã®ã¯ãå¼æ°ãªãã®æã« void ããªãã£ãå ´å
+          # ここで nil になるのは、引数なしの時に void がなかった場合
           items = []
           len = 0
@@ -2641,5 +2596,5 @@
         end
 
-        if functype.get_type_str == "void" then # mikan "void" ã® typedef ã«æªå¯¾å¿
+        if functype.get_type_str == "void" then # mikan "void" の typedef に未対応
           f.print "    "
         else
@@ -2684,5 +2639,5 @@
       next if p.get_port_type != :ENTRY
       next if p.is_omit?
-      if p.is_VMT_useless? then    # åãå£æé©å
+      if p.is_VMT_useless? then    # 受け口最適化
         f.print "/* #{p.get_name} : omitted by entry port optimize */\n"
         next
@@ -2710,36 +2665,31 @@
     end
 
-    # ãã®ã»ã«ã¿ã¤ãã®ãã¹ã¦ã®ã»ã«ã«ã¤ãã¦
+    # このセルタイプのすべてのセルについて
     @ordered_cell_list.each{ |c|
-      if c.is_generate? then                           # çæå¯¾è±¡ãï¼
+      if c.is_generate? then                           # 生成対象か？
 
         f = fs[ c.get_region.get_domain_root ]
 
-        # çµåã®ãªã¹ã (NamedList)
+        # 結合のリスト (NamedList)
         jl = c.get_join_list
 
-        # å
-¨ã¦ã®çµåãªã¹ãã«ã¤ãã¦
+        # 全ての結合リストについて
         jl.get_items.each{ |j|
 
-          # å·¦è¾ºã®å®ç¾©ãå¾ã
+          # 左辺の定義を得る
           definition = j.get_definition
 
-          # å¼ã³å£ã§ã¯ãªãï¼ãï¼å±æ§ï¼
+          # 呼び口ではない？　（属性）
           next unless definition.instance_of? Port
 
-          port = find j.get_name # celltype ã® Port (ãã¡ãã«æé©åæ
-å ±ããã)
-          # port = definition    # definition ã¯ composite ã® Port ãå¾ããããã¨ããã
+          port = find j.get_name # celltype の Port (こちらに最適化情報がある)
+          # port = definition    # definition は composite の Port が得られることがある
           next if port.is_cell_unique?
           next if port.is_omit?
 
-          # é
-åè¦ç´ ãå¾ãï¼åãå£é
-åã§ãªããã° nil ãè¿ãï¼
+          # 配列要素を得る（受け口配列でなければ nil が返る）
           am = j.get_array_member2
 
-          # å¼ã³å£é
-åã?
+          # 呼び口配列か?
           if am  then
             i = 0
@@ -2748,5 +2698,5 @@
               if j then
                 if am[i].get_cell.get_celltype == self then
-                  # åãã»ã«ã¿ã¤ãã¸çµåãã¦ããå ´å(VDES ã§ã¯ type conflict ã«ãªã)
+                  # 同じセルタイプへ結合している場合(VDES では type conflict になる)
                   p = am[i].get_rhs_port
                   des_type = "const struct tag_#{@global_name}_#{p.get_name}_DES"
@@ -2755,10 +2705,8 @@
                 end
 
-                # å³è¾ºã¯åãå£é
-åãï¼
+                # 右辺は受け口配列か？
                 if j.get_rhs_subscript then
 
-                  # åãå£ã®é
-åæ·»æ°
+                  # 受け口の配列添数
                   subscript = j.get_rhs_subscript
 
@@ -2773,6 +2721,5 @@
                 end
               #else if j == nil
-              #  optioanl ã§é
-åè¦ç´ ãåæåããã¦ããªã
+              #  optioanl で配列要素が初期化されていない
               end
               i += 1
@@ -2780,5 +2727,5 @@
           else
             if j.get_cell.get_celltype == self then
-              # åãã»ã«ã¿ã¤ãã¸çµåãã¦ããå ´å(VDES ã§ã¯ type conflict ã«ãªã)
+              # 同じセルタイプへ結合している場合(VDES では type conflict になる)
               p = j.get_rhs_port
               des_type = "const struct tag_#{@global_name}_#{p.get_name}_DES"
@@ -2788,6 +2735,5 @@
 
             if j.get_rhs_subscript then
-              # åãå£é
-å
+              # 受け口配列
               subscript = j.get_rhs_subscript
               f.printf( "extern %s %s%d;\n",
@@ -2801,6 +2747,5 @@
             end
           end
-          # mikan   cell ã® namespace æªå¯¾å¿ãJoin ã§ Cell ãªãã¸ã§ã¯ããå¼å½ã¦ããå¿
-è¦ãã
+          # mikan   cell の namespace 未対応、Join で Cell オブジェクトを引当ておく必要あり
         }
 
@@ -2812,6 +2757,5 @@
   def gen_cell_ep_vdes_array fs
     if @n_cell_gen >0 then
-      fs.each{ |r, f| f.printf( TECSMsg.get( :CPA_comment ), "#_CPA_#" ) }  # mikan å¼ã³å£é
-åãç¡ãå ´åãåºã¦ãã¾ã
+      fs.each{ |r, f| f.printf( TECSMsg.get( :CPA_comment ), "#_CPA_#" ) }  # mikan 呼び口配列が無い場合も出てしまう
     end
 
@@ -2824,7 +2768,6 @@
           definition = j.get_definition
           next unless definition.instance_of? Port
-          # port = definition    # definition ã¯ composite ã® Port ãå¾ããããã¨ããã
-          port = find j.get_name # celltype ã® Port (ãã¡ãã«æé©åæ
-å ±ããã)
+          # port = definition    # definition は composite の Port が得られることがある
+          port = find j.get_name # celltype の Port (こちらに最適化情報がある)
           next if port.is_cell_unique?
           next if port.is_omit?
@@ -2832,6 +2775,5 @@
           am = j.get_array_member2
           if am  then
-            # å·¦è¾ºã¯é
-å
+            # 左辺は配列
 
             if ! port.is_skelton_useless? then
@@ -2842,10 +2784,8 @@
             else
 
-#              ã¹ã±ã«ãã³é¢æ°ä¸è¦æé©åã®å ´åããã®é
-åã¯åç
-§ãããªã
-              # mikan ãã®ã±ã¼ã¹ããã¹ãããã¦ããªã
+#              スケルトン関数不要最適化の場合、この配列は参照されない
+              # mikan このケースがテストされていない
               f.printf( "const %s_IDX  %s_%s[] = {\n",
-#                        "#{j.get_celltype.get_global_name}",   # å³è¾º composite ã«å¯¾å¿ã§ããªã
+#                        "#{j.get_celltype.get_global_name}",   # 右辺 composite に対応できない
                         "#{j.get_rhs_cell.get_celltype.get_global_name}",
                         "#{c.get_global_name}",
@@ -2864,6 +2804,5 @@
 
               if j then
-                # åä¸ã»ã«ã¿ã¤ãã®çµåã®å ´åãVDES åã¸ã®ã­ã£ã¹ããå¿
-è¦
+                # 同一セルタイプの結合の場合、VDES 型へのキャストが必要
                 if j.get_rhs_cell.get_celltype == self then
                   definition = j.get_definition
@@ -2875,6 +2814,5 @@
                 
                 if j.get_rhs_subscript then
-                  # å³è¾ºé
-åã®å ´å(æé©åã¯ãªã)
+                  # 右辺配列の場合(最適化はない)
                   subscript = j.get_rhs_subscript
                   f.printf( "    %s%d,\n",
@@ -2885,6 +2823,5 @@
 
                 else
-                  # å³è¾ºéé
-åã®å ´å */
+                  # 右辺非配列の場合 */
                   if ! port.is_skelton_useless? then
                     f.printf( "    %s,\n",
@@ -2897,12 +2834,10 @@
                 end
               else
-                # optional ã§å¼ã³å£é
-åè¦ç´ ãåæåããã¦ããªã
+                # optional で呼び口配列要素が初期化されていない
                 f.printf( "    0,\n" )
               end
             # }
             end
-            # mikan   cell ã® namespace æªå¯¾å¿ãJoin ã§ Cell ãªãã¸ã§ã¯ããå¼å½ã¦ããå¿
-è¦ãã
+            # mikan   cell の namespace 未対応、Join で Cell オブジェクトを引当ておく必要あり
             f.print "};\n"
           end
@@ -2914,5 +2849,5 @@
   end
 
-  #=== CB ãåæåãããã­ã°ã©ã ã®çæ
+  #=== CB を初期化するプログラムの生成
   def gen_cell_cb_initialize_code f
     if ! need_CB_initializer?
@@ -2946,8 +2881,8 @@
   end
 
-  # === CB/INIB ã®å¤ã§åæåãããå¤æ°ã®åºå
+  # === CB/INIB の外で初期化される変数の出力
   def gen_cell_cb_out_init fs
 
-    # ã»ã«ããªããã°ãåºåããªã
+    # セルがなければ、出力しない
     if @n_cell_gen == 0 then
       return
@@ -2956,7 +2891,5 @@
     fs.each{ |r, f| f.printf( TECSMsg.get( :AVAI_comment ), "#_AVAI_#" ) }
 
-    # attribute, var ã®ãã¤ã³ã¿åã®åç
-§ããé
-åãçæ
+    # attribute, var のポインタ型の参照する配列を生成
     @ordered_cell_list.each{ |c|
       next if  ! c.is_generate?
@@ -2968,7 +2901,5 @@
       jl = c.get_join_list
 
-      # attribute, var ã®ãã¤ã³ã¿å¤æ°ãé
-åã«ããåæåãããå ´åã®ãé
-åãåºå
+      # attribute, var のポインタ変数が配列により初期化される場合の、配列を出力
       av_list = ct.get_attribute_list + ct.get_var_list
       if av_list.length != 0 then
@@ -2986,9 +2917,7 @@
 
             if size then
-              # å¼ãè©ä¾¡ãã(attribute, var ã«å«ã¾ããå¤æ°ãåç
-§å¯è½)
+              # 式を評価する(attribute, var に含まれる変数を参照可能)
               sz = size.eval_const( c.get_join_list, c.get_celltype.get_name_list )
-              # å¼ãçæããªãã (å¤æ°ãå«ã¾ãªãå½¢ã«ãã)  ä¸å®å
-¨ãªå½¢ã§ Token ãçæ (ã¨ã©ã¼çºçããªããã)
+              # 式を生成しなおす (変数を含まない形にする)  不完全な形で Token を生成 (エラー発生しないから)
               size = Expression.new( [:INTEGER_CONSTANT, Token.new(sz, nil, 0, 0)] )
               array_type = ArrayType.new( size )
@@ -3004,5 +2933,5 @@
 								# name_array[3]: cell_CB_INIT
               if !( $ram_initializer && a.get_kind == :VAR ) then
-                # -R (ram initializer ä½¿ç¨) ã®å ´å var ã¯åæåã³ã¼ããåºåããªã
+                # -R (ram initializer 使用) の場合 var は初期化コードを出力しない
                 if( init )then
                   str = " = #{gen_cell_cb_init( f, c, name_array, array_type, init, a.get_identifier, 1, true )}"
@@ -3022,7 +2951,7 @@
   end
 
-  #=== var ã®åæå¤ã® ROM é¨ã¸ã®
+  #=== var の初期値の ROM 部への
   def gen_cell_var_init f
-    # var ã®{ }ã§å²ã¾ããåæå¤æå®ããããèª¿ã¹ã
+    # var の{ }で囲まれた初期値指定があるか調べる
     n_init = 0
     @var.each { |v|
@@ -3041,7 +2970,7 @@
 
           if( type.kind_of? PtrType )then
-            # PtrType ã¯ ArrayType ã«ããæ¿ãã
-
-            # åæåå­ã®è¦ç´ æ°ã ãã¨ããï¼å¾ã¯ 0)
+            # PtrType は ArrayType にすり替える
+
+            # 初期化子の要素数だけとする（後は 0)
             t2 = ArrayType.new( Expression.create_integer_constant( init.length, nil ) )
             t2.set_type( type.get_type )
@@ -3049,16 +2978,15 @@
           end
 
-          c = @ordered_cell_list[0]   # ä»®ã® cell (å®éã«ã¯ä½¿ãããªã)
+          c = @ordered_cell_list[0]   # 仮の cell (実際には使われない)
           name_array = get_name_array( c )
           # f.print "const #{type0.get_type_str}\t#{@global_name}_#{v.get_name}_VAR_INIT#{type0.get_type_str_post} = "
           f.print "const #{type.get_type_str}\t#{@global_name}_#{v.get_name}_VAR_INIT#{type.get_type_str_post} = "
           if type.kind_of? StructType then
-            # celltype ã® default ã®åæå¤ãã
+            # celltype の default の初期値あり
             str = gen_cell_cb_init( f, c, name_array, type, init, v.get_identifier, 1, true )
           elsif( type.kind_of?( PtrType ) || type.kind_of?( ArrayType ) ) then
             str = "{ "
             type = type.get_type
-            # mikan ãã¤ã³ã¿ã§ã¯ãªããé
-ååã¨ããªãã¨ããã¤ã³ã¿å¤æ°ã®é åã®åãæãã
+            # mikan ポインタではなく、配列型としないと、ポインタ変数の領域の分、損する
             init.each { |i|
               str += gen_cell_cb_init( f, c, name_array, type, i, v.get_identifier, 1, true )
@@ -3117,5 +3045,5 @@
 
         unless @singleton then
-          # 1 ã¤ã® cell INIB ã®çµãã
+          # 1 つの cell INIB の終わり
           if @idx_is_id_act then
             f.print( "};\n\n" )
@@ -3135,5 +3063,5 @@
       end
 
-      # RAM initializer ãä½¿ç¨ããªããã¾ãã¯ ROM åããªã
+      # RAM initializer を使用しない、または ROM 化しない
       if $ram_initializer == false || $rom == false then
         if @singleton then
@@ -3177,5 +3105,5 @@
 
           unless @singleton then
-            # 1 ã¤ã® cell CB ã®çµãã
+            # 1 つの cell CB の終わり
             if @idx_is_id_act then
               f.print( "};\n\n" )
@@ -3215,5 +3143,5 @@
         f.print "/* ID to INIB table #_INTAB_# */\n"
         @ordered_cell_list.each{ |c|
-          if c.is_generate? && ( c.get_region.get_domain_root != Region.get_root ) then # çæå¯¾è±¡ãã¤ãã«ã¼ãä»¥å¤ã
+          if c.is_generate? && ( c.get_region.get_domain_root != Region.get_root ) then # 生成対象かつ、ルート以外か
             name_array = get_name_array( c )
             print_indent( f, indent + 1 )
@@ -3224,5 +3152,5 @@
         f.print "#{@global_name}_INIB *#{@global_name}_INIB_tab[] ={\n"
         @ordered_cell_list.each{ |c|
-          if c.is_generate? then                           # çæå¯¾è±¡ãï¼
+          if c.is_generate? then                           # 生成対象か？
             name_array = get_name_array( c )
             print_indent( f, indent + 1 )
@@ -3235,5 +3163,5 @@
         f.print "/* ID to CB table #_CBTAB_# */\n"
         @ordered_cell_list.each{ |c|
-          if c.is_generate? && ( c.get_region.get_domain_root != Region.get_root ) then # çæå¯¾è±¡ãã¤ãã«ã¼ãä»¥å¤ã
+          if c.is_generate? && ( c.get_region.get_domain_root != Region.get_root ) then # 生成対象かつ、ルート以外か
             name_array = get_name_array( c )
             print_indent( f, indent + 1 )
@@ -3244,5 +3172,5 @@
         f.print "#{@global_name}_CB *#{@global_name}_CB_tab[] ={\n"
         @ordered_cell_list.each{ |c|
-          if c.is_generate? then                           # çæå¯¾è±¡ãï¼
+          if c.is_generate? then                           # 生成対象か？
             name_array = get_name_array( c )
             print_indent( f, indent + 1 )
@@ -3256,15 +3184,12 @@
 
 
-  #=== name_array ãçæ
+  #=== name_array を生成
   # IN:   cell  : Cell
-  #       index : CB, INIB é
-åã®æ·»æ°
+  #       index : CB, INIB 配列の添数
   # RETURN: name_array
   #   name_array[0] = @name           # celltype name
   #   name_array[1] = cell.get_name   # cell name
   #   name_array[2] = cell_CB_name    # cell_CB_name
-  #   name_array[3] = cell_CB_INIT    # cell_CB_INIT # CB ã®å¤å´ã§åæåãå¿
-è¦ãªé
-åã®åå
+  #   name_array[3] = cell_CB_INIT    # cell_CB_INIT # CB の外側で初期化が必要な配列の名前
   #   name_array[4] = cell_CB_proto   # CB name for prototype
   #   name_array[5] = cell_INIB       # INIB name
@@ -3305,5 +3230,5 @@
 
     if ! has_CB? && ! has_INIB? then
-      cell_CBP = "NULL"    # CB ã INIB ããªããã° NULL ã«ç½®æ
+      cell_CBP = "NULL"    # CB も INIB もなければ NULL に置換
     else
       cell_CBP = "&#{cell_CB_name}"
@@ -3326,8 +3251,7 @@
   end
 
-  #=== attribute ã¨ size_is æå®ããã var (ãã¤ã³ã¿)ã®åæåãã¼ã¿ãåºå
+  #=== attribute と size_is 指定された var (ポインタ)の初期化データを出力
   #
-  # ROM åãµãã¼ãã®æç¡ãããã³åºåå¯¾è±¡ã CB ã INIB ãã«ããåºåãããå
-å®¹ãç°ãªã
+  # ROM 化サポートの有無、および出力対象が CB か INIB かにより出力される内容が異なる
   def gen_cell_cb_attribute( cell, indent, f, name_array, cb_inib )
     ct = self
@@ -3339,11 +3263,10 @@
       f.print "/* attribute(RO) */ \n"
     elsif $rom then  # && cb_inib == CB
-      # CB ã§ rw ã¨ var
+      # CB で rw と var
       return if @n_attribute_rw == 0
       print_indent( f, indent + 1 )
       f.print "/* attribute(RW) */ \n"
     else  # cb_inib == CB && $rom == false
-      # CB ã«å
-¨é¨
+      # CB に全部
       return if @n_attribute_rw == 0 && @n_attribute_ro == 0 && @n_var_size_is == 0
       print_indent( f, indent + 1 )
@@ -3355,5 +3278,5 @@
       next if a.is_omit?
       if cb_inib == :INIB && a.is_rw? == true then
-        # $rom == true ã§ãããããã¸æ¥ãªã
+        # $rom == true でしか、ここへ来ない
         next
       elsif cb_inib == :CB && $rom && ! a.is_rw? then
@@ -3363,11 +3286,11 @@
       j = jl.get_item( a.get_identifier )
       if j then
-        # cell ã®åæå¤æå®ãã
+        # cell の初期値指定あり
         gen_cell_cb_init( f, cell, name_array, a.get_type, j.get_rhs, a.get_identifier, indent + 1 )
       elsif a.get_initializer then
-        # celltype ã® default ã®åæå¤ãã
+        # celltype の default の初期値あり
         gen_cell_cb_init( f, cell, name_array, a.get_type, a.get_initializer, a.get_identifier, indent + 1 )
       else
-        # åæå¤æªæå®
+        # 初期値未指定
         gen_cell_cb_init( f, cell, name_array, a.get_type, nil, a.get_identifier, indent + 1 )
       end
@@ -3375,10 +3298,10 @@
     @var.each{ |v|
       next if v.is_omit?
-      next if v.get_size_is == nil   # size_is æå®ãããå ´å attribute ã®ä¸é¨ã¨ãã¦åºå
+      next if v.get_size_is == nil   # size_is 指定がある場合 attribute の一部として出力
 
       if v.get_initializer && $ram_initializer == false then
         gen_cell_cb_init( f, cell, name_array, v.get_type, v.get_initializer, v.get_identifier, indent + 1 )
       else
-        # åæå¤æªæå® ã¾ãã¯ RAM initializer ä½¿ç¨
+        # 初期値未指定 または RAM initializer 使用
         gen_cell_cb_init( f, cell, name_array, v.get_type, nil, v.get_identifier, indent + 1 )
       end
@@ -3386,5 +3309,5 @@
   end
 
-  #=== var ã®åæåãã¼ã¿ãåºå
+  #=== var の初期化データを出力
   def gen_cell_cb_var( cell, indent, f, name_array )
     jl = cell.get_join_list
@@ -3396,10 +3319,10 @@
 
         next if v.is_omit?
-        next if v.get_size_is      # size_is æå®ãããå ´å attribute ã®ä¸é¨ã¨ãã¦åºå
+        next if v.get_size_is      # size_is 指定がある場合 attribute の一部として出力
 
         if v.get_initializer && $ram_initializer == false then
           gen_cell_cb_init( f, cell, name_array, v.get_type, v.get_initializer, v.get_identifier, indent + 1 )
         else
-          # åæå¤æªæå® ã¾ãã¯ RAM initializer ä½¿ç¨
+          # 初期値未指定 または RAM initializer 使用
           gen_cell_cb_init( f, cell, name_array, v.get_type, nil, v.get_identifier, indent + 1 )
         end
@@ -3413,5 +3336,5 @@
   end
 
-  #=== å¼ã³å£ã®åæåã³ã¼ãã®çæ
+  #=== 呼び口の初期化コードの生成
   def gen_cell_cb_call_port( cell, indent, f, name_array )
     jl = cell.get_join_list
@@ -3424,5 +3347,5 @@
         next if p.get_port_type != :CALL
         next if p.is_omit?
-        next if p.is_cell_unique?        # æé©åï¼åä¸ã»ã«ã§å¼ã³å£ãã¯ã­ã«åãè¾¼ã¾ããï¼
+        next if p.is_cell_unique?        # 最適化（単一セルで呼び口マクロに埋め込まれる）
 
         j = jl.get_item( p.get_name )
@@ -3431,11 +3354,10 @@
         # debug
         if j == nil then
-          # optional å¼ã³å£
+          # optional 呼び口
           # cdl_error( "H1003 internal error: cell \'$1\' port \'$2\': initializer not found\n" , cell.get_name, p.get_name )
           # exit( 1 )
           f.printf( "%-40s /* #_CCP5_# */\n",  "0," )
           if p.get_array_size == "[]" then
-            # æ·»æ°çç¥ã®å¼ã³å£é
-å
+            # 添数省略の呼び口配列
             print_indent( f, indent + 1 )
             f.printf( "%-40s /* %s #_CCP6_# */\n", "0,", "length of #{p.get_name} (n_#{p.get_name})" )
@@ -3446,16 +3368,13 @@
         am = j.get_array_member2
         if am then
-          # å¼ã³å£é
-åã®å ´å
+          # 呼び口配列の場合
           f.printf( "%-40s /* #_CCP3_# */\n",  "#{cell.get_global_name}_#{j.get_name}," )
           if p.get_array_size == "[]" then
-            # æ·»æ°çç¥ã®å¼ã³å£é
-å
+            # 添数省略の呼び口配列
             print_indent( f, indent + 1 )
             f.printf( "%-40s /* %s #_CCP4_# */\n", "#{am.length},", "length of #{p.get_name} (n_#{p.get_name})" )
           end
         else
-          # åä¸ã»ã«ã¿ã¤ãã®çµåã®å ´åãVDES åã¸ã®ã­ã£ã¹ããå¿
-è¦
+          # 同一セルタイプの結合の場合、VDES 型へのキャストが必要
           #print "CCP0/CCP1 #{p.get_name}, #{j.get_rhs_cell.get_celltype.get_name}, #{@name}\n"
           if j.get_rhs_cell.get_celltype == self then
@@ -3467,6 +3386,5 @@
 
           if j.get_rhs_subscript then
-            # åãå£é
-åã®å ´å
+            # 受け口配列の場合
             subscript = j.get_rhs_subscript
             f.printf( "%-40s /* %s #_CCP0_# */\n",
@@ -3475,7 +3393,5 @@
                       p.get_name )
           else
-            # å¼ã³å£é
-åã§ããåãå£é
-åã§ããªã
+            # 呼び口配列でも、受け口配列でもない
             if ! p.is_skelton_useless? then
               f.printf( "%-40s /* %s #_CCP1_# */\n",
@@ -3483,16 +3399,12 @@
                         p.get_name )
             else
-              # ã¹ã±ã«ãã³ä¸è¦æé©åï¼CB (INIB) ã¸ã®ãã¤ã³ã¿ãåãè¾¼ãï¼
-              c = j.get_rhs_cell                    # å¼ã³å
-ã»ã«
-              ct = c.get_celltype                   # å¼ã³å
-ã»ã«ã¿ã¤ã
+              # スケルトン不要最適化（CB (INIB) へのポインタを埋め込む）
+              c = j.get_rhs_cell                    # 呼び先セル
+              ct = c.get_celltype                   # 呼び先セルタイプ
               if ct.has_INIB? || ct.has_CB? then
-                name_array = ct.get_name_array( c )   # å¼ã³å
-ã»ã«ã¿ã¤ãã§ name_array ãå¾ã
+                name_array = ct.get_name_array( c )   # 呼び先セルタイプで name_array を得る
                 f.printf( "%-40s /* %s #_CCP2_# */\n", "#{name_array[7]},", p.get_name )
               else
-                # å¼ã³å
-ã¯ CB ã INIB ãæããªãï¼NULL ã«åæåï¼
+                # 呼び先は CB も INIB も持たない（NULL に初期化）
                 f.printf( "%-40s /* %s #_CCP2_# */\n", "0,", p.get_name )
               end
@@ -3505,5 +3417,5 @@
   end
 
-  #=== åãå£ã®åæåã³ã¼ãã®çæ
+  #=== 受け口の初期化コードの生成
   def gen_cell_cb_entry_port( cell, indent, f, name_array )
     jl = cell.get_join_list
@@ -3514,6 +3426,5 @@
       f.print "/* entry port #_EP_# */ \n"
       @port.each{ |p|
-        # next if p.is_omit?  # åãå£é
-åã®åæ°ã¯çç¥ããªã
+        # next if p.is_omit?  # 受け口配列の個数は省略しない
         if p.get_port_type == :ENTRY && p.get_array_size == "[]"
           print_indent( f, indent + 1 )
@@ -3524,11 +3435,10 @@
   end
 
-  #=== ã»ã«ã® attribute ã®åæå¤ãåºå
+  #=== セルの attribute の初期値を出力
   #
-  #f_get_str:: true ã®å ´åãæå­åãè¿ããfalse ã®å ´åããã¡ã¤ã« f ã«åºåããï¼
-  # æå­åãè¿ãã¨ããæ«å°¾ã« ',' ã¯å«ã¾ããªãï¼
-  # ãã¡ã¤ã«ã¸åºåããã¨ããæ«å°¾ã« ',' ãåºåãããï¼æ§é ä½è¦ç´ ãé
-åè¦ç´ ã®åæå¤ãåºåããã¨ ',' ãäºéã«åºåãããï¼
-  # ãã ãç¾ç¶ã§ã¯ããã¡ã¤ã«ã¸åºåãããã¨ã¯ãªã
+  #f_get_str:: true の場合、文字列を返す、false の場合、ファイル f に出力する．
+  # 文字列を返すとき、末尾に ',' は含まれない．
+  # ファイルへ出力するとき、末尾に ',' が出力される．構造体要素、配列要素の初期値を出力すると ',' が二重に出力される．
+  # ただし現状では、ファイルへ出力することはない
   #
   def gen_cell_cb_init( f, cell, name_array, type, init, identifier, indent, f_get_str = false )
@@ -3544,5 +3454,5 @@
 
       if f_get_str then
-        # åæå¤æªæå®
+        # 初期値未指定
         if type.kind_of?( BoolType ) then
           str = "false"   # formerly tecs_false
@@ -3568,5 +3478,5 @@
         return str
       else
-        # åæå¤æªæå®
+        # 初期値未指定
         if type.kind_of?( BoolType ) then
           f.print "    " * indent
@@ -3602,7 +3512,6 @@
     end    
 
-    # ãã®ã¡ã½ããã¯ Celltype ã®ãã®ã§ããå¿
-è¦ã¯ç¡ãï¼ä¸ã«ç¶ãã®ã§ããã«ç½®ãï¼
-    # åæå¤æå®ãã
+    # このメソッドは Celltype のものである必要は無い（上に続くのでここに置く）
+    # 初期値指定あり
     if type.kind_of?( BoolType ) then
       if init.instance_of?( C_EXP ) then
@@ -3670,5 +3579,5 @@
 
       len.times {
-        next if ! init[i]        # mikan ãã®å¦ç½®ã¯é©åï¼
+        next if ! init[i]        # mikan この処置は適切？
         if f_get_str then
           str += gen_cell_cb_init( f, cell, name_array, at, init[i], "#{identifier}[#{i}]", indent + 1, f_get_str )
@@ -3752,6 +3661,5 @@
   end
 
-  #== é¢æ°ãã¼ãã«ã®å¤é¨åç
-§
+  #== 関数テーブルの外部参照
   def gen_cell_extern_mt fs
     fs.each{ |r, f|
@@ -3768,5 +3676,5 @@
   end
 
-  #=== åãå£ãã£ã¹ã¯ãªãã¿ã®å®ç¾©ãçæ
+  #=== 受け口ディスクリプタの定義を生成
   def gen_cell_ep_des fs
     if @n_cell_gen >0 then
@@ -3789,5 +3697,5 @@
           next if p.get_port_type != :ENTRY
           next if p.is_omit?
-          if p.is_skelton_useless?       # åãå£æé©ån ep_opt
+          if p.is_skelton_useless?       # 受け口最適化n ep_opt
             f.print( "/* #{p.get_name} : omitted by entry port optimize */\n" )
             next
@@ -3800,6 +3708,5 @@
 
           if len != nil then
-            # åãå£é
-åã®å ´å
+            # 受け口配列の場合
             i = 0
             while i < len
@@ -3882,14 +3789,12 @@
     return if @b_reuse && ! $generate_all_template
     if ! ( @plugin && @plugin.gen_ep_func? ) then
-      return if $generate_no_template     # $generate_all_template ããåªå
-ããã
-
-      # åèã¨ãã¦åºåãããã³ãã¬ã¼ããã¡ã¤ã«ã§ãããã¨ãç¤ºãããã« "_templ" ãä»å ãã
+      return if $generate_no_template     # $generate_all_template より優先される
+
+      # 参考として出力するテンプレートファイルであることを示すために "_templ" を付加する
       fname = "#{$gen}/#{@global_name}_templ.#{$c_suffix}"
     else
-      # Plugin ã«ããçæãããã»ã«ã¿ã¤ãã«ã¤ãã¦ã¯ãååçã«ãã³ãã¬ã¼ãã§ã¯ãªãã
-      # ä¿®æ­£ä¸è¦ãªã»ã«ã¿ã¤ãã®å®è£
-ã³ã¼ããçæããï¼
-      # ãã®ããããã¡ã¤ã«åã« _temp ãä»å ããªã
+      # Plugin により生成されたセルタイプについては、原則的にテンプレートではなく、
+      # 修正不要なセルタイプの実装コードを生成する．
+      # このため、ファイル名に _temp を付加しない
       fname = "#{$gen}/#{@global_name}.#{$c_suffix}"
     end
@@ -3906,5 +3811,5 @@
     gen_template_attr_access f
     gen_template_cp_fun f
-    # gen_template_types f     # 0805503 è¿½å ãã¦ã¿ããããã£ã±ãããã
+    # gen_template_types f     # 0805503 追加してみたが、やっぱりやめる
     f.print( " *\n * #[</PREAMBLE>]# */\n\n" )
     f.printf TECSMsg.get( :PAC_comment ), "#_PAC_#"
@@ -3912,5 +3817,5 @@
     gen_template_private_header f
     if ( @plugin ) then
-      # ãã®ã¡ã½ããã®å¼æ°ã¯ plugin.rb ã®èª¬æãè¦ã
+      # このメソッドの引数は plugin.rb の説明を見よ
       @plugin.gen_preamble( f, @singleton, @name, @global_name )
     end
@@ -3921,5 +3826,5 @@
 
     if ( @plugin ) then
-      # ãã®ã¡ã½ããã®å¼æ°ã¯ plugin.rb ã®èª¬æãè¦ã
+      # このメソッドの引数は plugin.rb の説明を見よ
       @plugin.gen_postamble( f, @singleton, @name, @global_name )
     end
@@ -4075,6 +3980,6 @@
       next if p.get_port_type != :ENTRY
       next if p.is_omit?
-      next if b_inline && ! p.is_inline?  # inline ãã¼ã
-      next if ! b_inline && p.is_inline?  # é inline ãã¼ã
+      next if b_inline && ! p.is_inline?  # inline ポート
+      next if ! b_inline && p.is_inline?  # 非 inline ポート
 
       inline_prefix = ""
@@ -4133,5 +4038,5 @@
           len = items.length
         else
-          # ããã§ nil ã«ãªãã®ã¯ãå¼æ°ãªãã®æã« void ããªãã£ãå ´å
+          # ここで nil になるのは、引数なしの時に void がなかった場合
           items = []
           len = 0
